<html>
<head>
<title>OGRE: Ogre::StaticGeometry::MaterialBucket Class Reference - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.5.3 -->
<div class="tabs">
  <ul>
    <li><a href="index.html"><span>Main&nbsp;Page</span></a></li>
    <li><a href="namespaces.html"><span>Namespaces</span></a></li>
    <li class="current"><a href="classes.html"><span>Classes</span></a></li>
    <li><a href="files.html"><span>Files</span></a></li>
    <li><a href="dirs.html"><span>Directories</span></a></li>
    <li><a href="pages.html"><span>Related&nbsp;Pages</span></a></li>
  </ul>
</div>
<div class="tabs">
  <ul>
    <li><a href="classes.html"><span>Alphabetical&nbsp;List</span></a></li>
    <li><a href="annotated.html"><span>Class&nbsp;List</span></a></li>
    <li><a href="hierarchy.html"><span>Class&nbsp;Hierarchy</span></a></li>
    <li><a href="functions.html"><span>Class&nbsp;Members</span></a></li>
  </ul>
</div>
<div class="nav">
<a class="el" href="namespaceOgre.html">Ogre</a>::<a class="el" href="classOgre_1_1StaticGeometry.html">StaticGeometry</a>::<a class="el" href="classOgre_1_1StaticGeometry_1_1MaterialBucket.html">MaterialBucket</a></div>
<h1>Ogre::StaticGeometry::MaterialBucket Class Reference</h1><!-- doxytag: class="Ogre::StaticGeometry::MaterialBucket" -->A <a class="el" href="classOgre_1_1StaticGeometry_1_1MaterialBucket.html" title="A MaterialBucket is a collection of smaller buckets with the same Material (and implicitly...">MaterialBucket</a> is a collection of smaller buckets with the same <a class="el" href="classOgre_1_1Material.html" title="Class encapsulates rendering properties of an object.">Material</a> (and implicitly the same LOD).  
<a href="#_details">More...</a>
<p>
<code>#include &lt;<a class="el" href="OgreStaticGeometry_8h-source.html">OgreStaticGeometry.h</a>&gt;</code>
<p>

<p>
<a href="classOgre_1_1StaticGeometry_1_1MaterialBucket-members.html">List of all members.</a><table border="0" cellpadding="0" cellspacing="0">
<tr><td></td></tr>
<tr><td colspan="2"><br><h2>Public Types</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">typedef std::vector<br>
&lt; <a class="el" href="classOgre_1_1StaticGeometry_1_1GeometryBucket.html">GeometryBucket</a> * &gt;&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1StaticGeometry_1_1MaterialBucket.html#59961706795c7ad082210c65748d0c83">GeometryBucketList</a></td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">list of Geometry Buckets in this region  <a href="#59961706795c7ad082210c65748d0c83"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">typedef <br>
<a class="el" href="classOgre_1_1VectorIterator.html">VectorIterator</a><br>
&lt; <a class="el" href="classOgre_1_1StaticGeometry_1_1MaterialBucket.html#59961706795c7ad082210c65748d0c83">GeometryBucketList</a> &gt;&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1StaticGeometry_1_1MaterialBucket.html#b2f7c7785a86b2bf05998b96b73c5952">GeometryIterator</a></td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Iterator over geometry.  <a href="#b2f7c7785a86b2bf05998b96b73c5952"></a><br></td></tr>
<tr><td colspan="2"><br><h2>Public Member Functions</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1StaticGeometry_1_1MaterialBucket.html#e4abb9d4a5a88ff4cb1fb0f4b1fcac88">MaterialBucket</a> (<a class="el" href="classOgre_1_1StaticGeometry_1_1LODBucket.html">LODBucket</a> *parent, const <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;materialName)</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">virtual&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1StaticGeometry_1_1MaterialBucket.html#d0fed93d61daf061b73952e81d1143ff">~MaterialBucket</a> ()</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="classOgre_1_1StaticGeometry_1_1LODBucket.html">LODBucket</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1StaticGeometry_1_1MaterialBucket.html#b454a749c2ba7bae4002c70ed5afa626">getParent</a> (void)</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">const <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1StaticGeometry_1_1MaterialBucket.html#5d5aba36b489789f297a57087f223d85">getMaterialName</a> (void) const </td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Get the material name.  <a href="#5d5aba36b489789f297a57087f223d85"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1StaticGeometry_1_1MaterialBucket.html#73c3eb66a47f97224dcbeb48dc9bb6c5">assign</a> (<a class="el" href="structOgre_1_1StaticGeometry_1_1QueuedGeometry.html">QueuedGeometry</a> *qsm)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Assign geometry to this bucket.  <a href="#73c3eb66a47f97224dcbeb48dc9bb6c5"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1StaticGeometry_1_1MaterialBucket.html#a3a817dab145e00ab3c07f1f62556f33">build</a> (bool stencilShadows)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Build.  <a href="#a3a817dab145e00ab3c07f1f62556f33"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1StaticGeometry_1_1MaterialBucket.html#613fae1a1f3a0524e972f4bc9cbb5a44">addRenderables</a> (<a class="el" href="classOgre_1_1RenderQueue.html">RenderQueue</a> *queue, <a class="el" href="namespaceOgre.html#119732ea9d1e88bbddc47b4ac0fa21cb">uint8</a> group, <a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a> camSquaredDist)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Add children to the render queue.  <a href="#613fae1a1f3a0524e972f4bc9cbb5a44"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">const <a class="el" href="classOgre_1_1MaterialPtr.html">MaterialPtr</a> &amp;&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1StaticGeometry_1_1MaterialBucket.html#a338a96b9145a0c01e33da7e4728111c">getMaterial</a> (void) const </td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Get the material for this bucket.  <a href="#a338a96b9145a0c01e33da7e4728111c"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="classOgre_1_1VectorIterator.html">GeometryIterator</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1StaticGeometry_1_1MaterialBucket.html#fbacbd597b172a0a3fbb59223cebc134">getGeometryIterator</a> (void)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Get an iterator over the contained geometry.  <a href="#fbacbd597b172a0a3fbb59223cebc134"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="classOgre_1_1Technique.html">Technique</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1StaticGeometry_1_1MaterialBucket.html#a64dfa9bd9617249def12e684dde9caa">getCurrentTechnique</a> (void) const </td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Get the current <a class="el" href="classOgre_1_1Technique.html" title="Class representing an approach to rendering this particular Material.">Technique</a>.  <a href="#a64dfa9bd9617249def12e684dde9caa"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1StaticGeometry_1_1MaterialBucket.html#823eca275c2d617cc5736a117bf048a0">dump</a> (std::ofstream &amp;of) const </td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Dump contents for diagnostics.  <a href="#823eca275c2d617cc5736a117bf048a0"></a><br></td></tr>
<tr><td colspan="2"><br><h2>Protected Types</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">typedef std::map<br>
&lt; <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>,<br>
 <a class="el" href="classOgre_1_1StaticGeometry_1_1GeometryBucket.html">GeometryBucket</a> * &gt;&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1StaticGeometry_1_1MaterialBucket.html#4a21218714f6d750336af9fad86da823">CurrentGeometryMap</a></td></tr>

<tr><td colspan="2"><br><h2>Protected Member Functions</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1StaticGeometry_1_1MaterialBucket.html#c26fb3711b115766aae0a1d2b123627d">getGeometryFormatString</a> (<a class="el" href="structOgre_1_1StaticGeometry_1_1SubMeshLodGeometryLink.html">SubMeshLodGeometryLink</a> *geom)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Get a packed string identifying the geometry format.  <a href="#c26fb3711b115766aae0a1d2b123627d"></a><br></td></tr>
<tr><td colspan="2"><br><h2>Protected Attributes</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="classOgre_1_1StaticGeometry_1_1LODBucket.html">LODBucket</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1StaticGeometry_1_1MaterialBucket.html#7c1560c621c28c3dedde95a6478f603f">mParent</a></td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Pointer to parent <a class="el" href="classOgre_1_1StaticGeometry_1_1LODBucket.html" title="A LODBucket is a collection of smaller buckets with the same LOD.">LODBucket</a>.  <a href="#7c1560c621c28c3dedde95a6478f603f"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1StaticGeometry_1_1MaterialBucket.html#d9732afaff3edb7e770816e80843e772">mMaterialName</a></td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight"><a class="el" href="classOgre_1_1Material.html" title="Class encapsulates rendering properties of an object.">Material</a> being used.  <a href="#d9732afaff3edb7e770816e80843e772"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="classOgre_1_1MaterialPtr.html">MaterialPtr</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1StaticGeometry_1_1MaterialBucket.html#98238b3d99e1b247a587ae1fba6ab733">mMaterial</a></td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Pointer to material being used.  <a href="#98238b3d99e1b247a587ae1fba6ab733"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="classOgre_1_1Technique.html">Technique</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1StaticGeometry_1_1MaterialBucket.html#3622d108622b55d5da61c1db57f9b0e8">mTechnique</a></td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Active technique.  <a href="#3622d108622b55d5da61c1db57f9b0e8"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="classOgre_1_1StaticGeometry_1_1MaterialBucket.html#59961706795c7ad082210c65748d0c83">GeometryBucketList</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1StaticGeometry_1_1MaterialBucket.html#98201e87d7d58a688a522c76864a19fa">mGeometryBucketList</a></td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">list of Geometry Buckets in this region  <a href="#98201e87d7d58a688a522c76864a19fa"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="classOgre_1_1StaticGeometry_1_1MaterialBucket.html#4a21218714f6d750336af9fad86da823">CurrentGeometryMap</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1StaticGeometry_1_1MaterialBucket.html#912c4811ed0139c062c652379bb1a934">mCurrentGeometryMap</a></td></tr>

</table>
<hr><a name="_details"></a><h2>Detailed Description</h2>
A <a class="el" href="classOgre_1_1StaticGeometry_1_1MaterialBucket.html" title="A MaterialBucket is a collection of smaller buckets with the same Material (and implicitly...">MaterialBucket</a> is a collection of smaller buckets with the same <a class="el" href="classOgre_1_1Material.html" title="Class encapsulates rendering properties of an object.">Material</a> (and implicitly the same LOD). 
<p>

<p>Definition at line <a class="el" href="OgreStaticGeometry_8h-source.html#l00249">249</a> of file <a class="el" href="OgreStaticGeometry_8h-source.html">OgreStaticGeometry.h</a>.</p>
<hr><h2>Member Typedef Documentation</h2>
<a class="anchor" name="59961706795c7ad082210c65748d0c83"></a><!-- doxytag: member="Ogre::StaticGeometry::MaterialBucket::GeometryBucketList" ref="59961706795c7ad082210c65748d0c83" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">typedef std::vector&lt;<a class="el" href="classOgre_1_1StaticGeometry_1_1GeometryBucket.html">GeometryBucket</a>*&gt; <a class="el" href="classOgre_1_1StaticGeometry_1_1MaterialBucket.html#59961706795c7ad082210c65748d0c83">Ogre::StaticGeometry::MaterialBucket::GeometryBucketList</a>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
list of Geometry Buckets in this region 
<p>

<p>Definition at line <a class="el" href="OgreStaticGeometry_8h-source.html#l00253">253</a> of file <a class="el" href="OgreStaticGeometry_8h-source.html">OgreStaticGeometry.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="4a21218714f6d750336af9fad86da823"></a><!-- doxytag: member="Ogre::StaticGeometry::MaterialBucket::CurrentGeometryMap" ref="4a21218714f6d750336af9fad86da823" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">typedef std::map&lt;<a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>, <a class="el" href="classOgre_1_1StaticGeometry_1_1GeometryBucket.html">GeometryBucket</a>*&gt; <a class="el" href="classOgre_1_1StaticGeometry_1_1MaterialBucket.html#4a21218714f6d750336af9fad86da823">Ogre::StaticGeometry::MaterialBucket::CurrentGeometryMap</a><code> [protected]</code>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreStaticGeometry_8h-source.html#l00267">267</a> of file <a class="el" href="OgreStaticGeometry_8h-source.html">OgreStaticGeometry.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="b2f7c7785a86b2bf05998b96b73c5952"></a><!-- doxytag: member="Ogre::StaticGeometry::MaterialBucket::GeometryIterator" ref="b2f7c7785a86b2bf05998b96b73c5952" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">typedef <a class="el" href="classOgre_1_1VectorIterator.html">VectorIterator</a>&lt;<a class="el" href="classOgre_1_1StaticGeometry_1_1MaterialBucket.html#59961706795c7ad082210c65748d0c83">GeometryBucketList</a>&gt; <a class="el" href="classOgre_1_1VectorIterator.html">Ogre::StaticGeometry::MaterialBucket::GeometryIterator</a>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Iterator over geometry. 
<p>

<p>Definition at line <a class="el" href="OgreStaticGeometry_8h-source.html#l00288">288</a> of file <a class="el" href="OgreStaticGeometry_8h-source.html">OgreStaticGeometry.h</a>.</p>

</div>
</div><p>
<hr><h2>Constructor &amp; Destructor Documentation</h2>
<a class="anchor" name="e4abb9d4a5a88ff4cb1fb0f4b1fcac88"></a><!-- doxytag: member="Ogre::StaticGeometry::MaterialBucket::MaterialBucket" ref="e4abb9d4a5a88ff4cb1fb0f4b1fcac88" args="(LODBucket *parent, const String &amp;materialName)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">Ogre::StaticGeometry::MaterialBucket::MaterialBucket           </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classOgre_1_1StaticGeometry_1_1LODBucket.html">LODBucket</a> *&nbsp;</td>
          <td class="paramname"> <em>parent</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>materialName</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

</div>
</div><p>
<a class="anchor" name="d0fed93d61daf061b73952e81d1143ff"></a><!-- doxytag: member="Ogre::StaticGeometry::MaterialBucket::~MaterialBucket" ref="d0fed93d61daf061b73952e81d1143ff" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual Ogre::StaticGeometry::MaterialBucket::~MaterialBucket           </td>
          <td>(</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"><code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

</div>
</div><p>
<hr><h2>Member Function Documentation</h2>
<a class="anchor" name="c26fb3711b115766aae0a1d2b123627d"></a><!-- doxytag: member="Ogre::StaticGeometry::MaterialBucket::getGeometryFormatString" ref="c26fb3711b115766aae0a1d2b123627d" args="(SubMeshLodGeometryLink *geom)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> Ogre::StaticGeometry::MaterialBucket::getGeometryFormatString           </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="structOgre_1_1StaticGeometry_1_1SubMeshLodGeometryLink.html">SubMeshLodGeometryLink</a> *&nbsp;</td>
          <td class="paramname"> <em>geom</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"><code> [protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Get a packed string identifying the geometry format. 
<p>

</div>
</div><p>
<a class="anchor" name="b454a749c2ba7bae4002c70ed5afa626"></a><!-- doxytag: member="Ogre::StaticGeometry::MaterialBucket::getParent" ref="b454a749c2ba7bae4002c70ed5afa626" args="(void)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1StaticGeometry_1_1LODBucket.html">LODBucket</a>* Ogre::StaticGeometry::MaterialBucket::getParent           </td>
          <td>(</td>
          <td class="paramtype">void&nbsp;</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreStaticGeometry_8h-source.html#l00275">275</a> of file <a class="el" href="OgreStaticGeometry_8h-source.html">OgreStaticGeometry.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="5d5aba36b489789f297a57087f223d85"></a><!-- doxytag: member="Ogre::StaticGeometry::MaterialBucket::getMaterialName" ref="5d5aba36b489789f297a57087f223d85" args="(void) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&amp; Ogre::StaticGeometry::MaterialBucket::getMaterialName           </td>
          <td>(</td>
          <td class="paramtype">void&nbsp;</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Get the material name. 
<p>

<p>Definition at line <a class="el" href="OgreStaticGeometry_8h-source.html#l00277">277</a> of file <a class="el" href="OgreStaticGeometry_8h-source.html">OgreStaticGeometry.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="73c3eb66a47f97224dcbeb48dc9bb6c5"></a><!-- doxytag: member="Ogre::StaticGeometry::MaterialBucket::assign" ref="73c3eb66a47f97224dcbeb48dc9bb6c5" args="(QueuedGeometry *qsm)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Ogre::StaticGeometry::MaterialBucket::assign           </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="structOgre_1_1StaticGeometry_1_1QueuedGeometry.html">QueuedGeometry</a> *&nbsp;</td>
          <td class="paramname"> <em>qsm</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Assign geometry to this bucket. 
<p>

</div>
</div><p>
<a class="anchor" name="a3a817dab145e00ab3c07f1f62556f33"></a><!-- doxytag: member="Ogre::StaticGeometry::MaterialBucket::build" ref="a3a817dab145e00ab3c07f1f62556f33" args="(bool stencilShadows)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Ogre::StaticGeometry::MaterialBucket::build           </td>
          <td>(</td>
          <td class="paramtype">bool&nbsp;</td>
          <td class="paramname"> <em>stencilShadows</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Build. 
<p>

</div>
</div><p>
<a class="anchor" name="613fae1a1f3a0524e972f4bc9cbb5a44"></a><!-- doxytag: member="Ogre::StaticGeometry::MaterialBucket::addRenderables" ref="613fae1a1f3a0524e972f4bc9cbb5a44" args="(RenderQueue *queue, uint8 group, Real camSquaredDist)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Ogre::StaticGeometry::MaterialBucket::addRenderables           </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classOgre_1_1RenderQueue.html">RenderQueue</a> *&nbsp;</td>
          <td class="paramname"> <em>queue</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="namespaceOgre.html#119732ea9d1e88bbddc47b4ac0fa21cb">uint8</a>&nbsp;</td>
          <td class="paramname"> <em>group</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a>&nbsp;</td>
          <td class="paramname"> <em>camSquaredDist</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Add children to the render queue. 
<p>

</div>
</div><p>
<a class="anchor" name="a338a96b9145a0c01e33da7e4728111c"></a><!-- doxytag: member="Ogre::StaticGeometry::MaterialBucket::getMaterial" ref="a338a96b9145a0c01e33da7e4728111c" args="(void) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const <a class="el" href="classOgre_1_1MaterialPtr.html">MaterialPtr</a>&amp; Ogre::StaticGeometry::MaterialBucket::getMaterial           </td>
          <td>(</td>
          <td class="paramtype">void&nbsp;</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Get the material for this bucket. 
<p>

<p>Definition at line <a class="el" href="OgreStaticGeometry_8h-source.html#l00286">286</a> of file <a class="el" href="OgreStaticGeometry_8h-source.html">OgreStaticGeometry.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="fbacbd597b172a0a3fbb59223cebc134"></a><!-- doxytag: member="Ogre::StaticGeometry::MaterialBucket::getGeometryIterator" ref="fbacbd597b172a0a3fbb59223cebc134" args="(void)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1VectorIterator.html">GeometryIterator</a> Ogre::StaticGeometry::MaterialBucket::getGeometryIterator           </td>
          <td>(</td>
          <td class="paramtype">void&nbsp;</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Get an iterator over the contained geometry. 
<p>

</div>
</div><p>
<a class="anchor" name="a64dfa9bd9617249def12e684dde9caa"></a><!-- doxytag: member="Ogre::StaticGeometry::MaterialBucket::getCurrentTechnique" ref="a64dfa9bd9617249def12e684dde9caa" args="(void) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1Technique.html">Technique</a>* Ogre::StaticGeometry::MaterialBucket::getCurrentTechnique           </td>
          <td>(</td>
          <td class="paramtype">void&nbsp;</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Get the current <a class="el" href="classOgre_1_1Technique.html" title="Class representing an approach to rendering this particular Material.">Technique</a>. 
<p>

<p>Definition at line <a class="el" href="OgreStaticGeometry_8h-source.html#l00292">292</a> of file <a class="el" href="OgreStaticGeometry_8h-source.html">OgreStaticGeometry.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="823eca275c2d617cc5736a117bf048a0"></a><!-- doxytag: member="Ogre::StaticGeometry::MaterialBucket::dump" ref="823eca275c2d617cc5736a117bf048a0" args="(std::ofstream &amp;of) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Ogre::StaticGeometry::MaterialBucket::dump           </td>
          <td>(</td>
          <td class="paramtype">std::ofstream &amp;&nbsp;</td>
          <td class="paramname"> <em>of</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Dump contents for diagnostics. 
<p>

</div>
</div><p>
<hr><h2>Member Data Documentation</h2>
<a class="anchor" name="7c1560c621c28c3dedde95a6478f603f"></a><!-- doxytag: member="Ogre::StaticGeometry::MaterialBucket::mParent" ref="7c1560c621c28c3dedde95a6478f603f" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1StaticGeometry_1_1LODBucket.html">LODBucket</a>* <a class="el" href="classOgre_1_1StaticGeometry_1_1MaterialBucket.html#7c1560c621c28c3dedde95a6478f603f">Ogre::StaticGeometry::MaterialBucket::mParent</a><code> [protected]</code>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Pointer to parent <a class="el" href="classOgre_1_1StaticGeometry_1_1LODBucket.html" title="A LODBucket is a collection of smaller buckets with the same LOD.">LODBucket</a>. 
<p>

<p>Definition at line <a class="el" href="OgreStaticGeometry_8h-source.html#l00256">256</a> of file <a class="el" href="OgreStaticGeometry_8h-source.html">OgreStaticGeometry.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="d9732afaff3edb7e770816e80843e772"></a><!-- doxytag: member="Ogre::StaticGeometry::MaterialBucket::mMaterialName" ref="d9732afaff3edb7e770816e80843e772" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> <a class="el" href="classOgre_1_1StaticGeometry_1_1MaterialBucket.html#d9732afaff3edb7e770816e80843e772">Ogre::StaticGeometry::MaterialBucket::mMaterialName</a><code> [protected]</code>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
<a class="el" href="classOgre_1_1Material.html" title="Class encapsulates rendering properties of an object.">Material</a> being used. 
<p>

<p>Definition at line <a class="el" href="OgreStaticGeometry_8h-source.html#l00258">258</a> of file <a class="el" href="OgreStaticGeometry_8h-source.html">OgreStaticGeometry.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="98238b3d99e1b247a587ae1fba6ab733"></a><!-- doxytag: member="Ogre::StaticGeometry::MaterialBucket::mMaterial" ref="98238b3d99e1b247a587ae1fba6ab733" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1MaterialPtr.html">MaterialPtr</a> <a class="el" href="classOgre_1_1StaticGeometry_1_1MaterialBucket.html#98238b3d99e1b247a587ae1fba6ab733">Ogre::StaticGeometry::MaterialBucket::mMaterial</a><code> [protected]</code>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Pointer to material being used. 
<p>

<p>Definition at line <a class="el" href="OgreStaticGeometry_8h-source.html#l00260">260</a> of file <a class="el" href="OgreStaticGeometry_8h-source.html">OgreStaticGeometry.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="3622d108622b55d5da61c1db57f9b0e8"></a><!-- doxytag: member="Ogre::StaticGeometry::MaterialBucket::mTechnique" ref="3622d108622b55d5da61c1db57f9b0e8" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1Technique.html">Technique</a>* <a class="el" href="classOgre_1_1StaticGeometry_1_1MaterialBucket.html#3622d108622b55d5da61c1db57f9b0e8">Ogre::StaticGeometry::MaterialBucket::mTechnique</a><code> [protected]</code>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Active technique. 
<p>

<p>Definition at line <a class="el" href="OgreStaticGeometry_8h-source.html#l00262">262</a> of file <a class="el" href="OgreStaticGeometry_8h-source.html">OgreStaticGeometry.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="98201e87d7d58a688a522c76864a19fa"></a><!-- doxytag: member="Ogre::StaticGeometry::MaterialBucket::mGeometryBucketList" ref="98201e87d7d58a688a522c76864a19fa" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1StaticGeometry_1_1MaterialBucket.html#59961706795c7ad082210c65748d0c83">GeometryBucketList</a> <a class="el" href="classOgre_1_1StaticGeometry_1_1MaterialBucket.html#98201e87d7d58a688a522c76864a19fa">Ogre::StaticGeometry::MaterialBucket::mGeometryBucketList</a><code> [protected]</code>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
list of Geometry Buckets in this region 
<p>

<p>Definition at line <a class="el" href="OgreStaticGeometry_8h-source.html#l00265">265</a> of file <a class="el" href="OgreStaticGeometry_8h-source.html">OgreStaticGeometry.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="912c4811ed0139c062c652379bb1a934"></a><!-- doxytag: member="Ogre::StaticGeometry::MaterialBucket::mCurrentGeometryMap" ref="912c4811ed0139c062c652379bb1a934" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1StaticGeometry_1_1MaterialBucket.html#4a21218714f6d750336af9fad86da823">CurrentGeometryMap</a> <a class="el" href="classOgre_1_1StaticGeometry_1_1MaterialBucket.html#912c4811ed0139c062c652379bb1a934">Ogre::StaticGeometry::MaterialBucket::mCurrentGeometryMap</a><code> [protected]</code>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreStaticGeometry_8h-source.html#l00268">268</a> of file <a class="el" href="OgreStaticGeometry_8h-source.html">OgreStaticGeometry.h</a>.</p>

</div>
</div><p>
<hr>The documentation for this class was generated from the following file:<ul>
<li><a class="el" href="OgreStaticGeometry_8h-source.html">OgreStaticGeometry.h</a></ul>
<hr>
<p>
Copyright &copy; 2000-2005 by The OGRE Team<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/"><img alt="Creative Commons License" border="0" src="http://creativecommons.org/images/public/somerights20.png"/></a><br/>
This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/">Creative Commons Attribution-ShareAlike 2.5 License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Mon Jun 16 12:54:08 2008
</p>
</body>
</html>
